Skip to main content
GET
/
v1
/
balance_transactions
List
curl --request GET \
  --url https://{defaultHost}/v1/balance_transactions \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "pagination": {
    "count": 1,
    "limit": 20,
    "page": 1,
    "url": "/v1/balance_transactions"
  },
  "data": [
    {
      "id": "5ebe11c1-92c1-45c8-b253-df9c7b42cc2f",
      "object": "balance_transaction",
      "amount": 2000,
      "currency": "usd",
      "ending_balance_amount": 0,
      "transaction_type": "adjustment",
      "balance": "b20c6134-4d07-4db4-b101-e7d8720a9924",
      "customer": "f040d443-b659-4e4e-9019-577c2588bef1",
      "checkout": null,
      "created_at": 1770234839,
      "updated_at": 1770234839
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

checkout_ids[]
string[]

Only return objects that belong to the given checkouts.

customer_ids[]
string[]

Only return objects that belong to the given customers.

ids[]
string[]

Only return objects with the given IDs.

limit
integer

A limit on the number of items to be returned, between 1 and 100.

page
integer

The page of items you want returned.

Response

200 - application/json

Success

object
string

A string describing the object type returned.

pagination
object
data
array

An array of objects.